Issue 121520 - Adopt palette to Symphony palette partially
Adopt palette to Symphony palette partially
Status: RESOLVED FIXED
Product: Draw
Classification: Application
Component: editing
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Armin Le Grand
:
Depends on:
Blocks: 124305
  Show dependency treegraph
 
Reported: 2012-12-20 12:37 UTC by Armin Le Grand
Modified: 2014-02-24 17:03 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Armin Le Grand 2012-12-20 12:37:15 UTC
ALG: From the dev-list:

Talking about palettes is always difficult - at the end, it's a question of taste. Nonetheless, we need a palette which is by default installed with the office. You all know the current one (for years ;-)) which I think is far from optimal. Thus, I analyzed the current one and want to share my findings. From that, I want to propose a change for our next release. Also probably not optimal, but optimal in this field depends on the user's eye and cannot be met by a single palette anyways.

Talking about palettes is also difficult since you need to 'see' something - pictures say more than words. To make that easier, I have prepared some data. Please look at

A Impress document containing two slides (http://people.apache.org/~alg/Palette/palette.odp)
The two slides as png's for convenience (http://people.apache.org/~alg/Palette/palette.png, http://people.apache.org/~alg/Palette/palette2.png)

The following thext refers to figures there, so please take a look to see what the text is about (...if you want to continue reading ;-))

The current (old?) AOO Palette, It's made up of five groups (from my perspective):

(a) The 16 VGA colors: These come originally from the times where only 16 colors were possible and are in hex color notation exactly all eight combinations of red/green/blue on or off, plus these in half intensity. It *had* technical reasons, but these colors do not have any special meaning for the user today (well, for the programmer). Anyways, they are a result of old technical limitations. I think they are ugly and lead to ugly results when using them directly (but that's my impression).

(b) The 'Main' Colors: 56 colors which try to build up to eight gradient-stepped ranges, e.g. orange. These ranges are *not* equidistantly spread, but somewhat wild/random (see e.g. the reds). I do not know where they historically come from, but I guess they were done by a deveoper at these days. There are some nice colors among them, but not too many. I always search for useful colors there

(c) The Pale colors: These seem to be younger than the others, may have to do historically with the StarOffice 5.2 color theme, but I'm not sure. Not too bad, not too good a selection. A group of seven colors which form a nice kind of 'schema' and make your presentation look 'acceptable' when using them together.

(d) The Chart colors: 12 colors used in the new chart module written some years ago. AFAIK these were added at that time especially to support the user having colors at hand corresponding to the default chart colors. Nice. Useful.

(e) 'Nice' Colors: A sub-group from (b). One is fix, it's the mentioned 'Blue 9' which is currently the default color for objects and has to be in the palette. I personally like (and often use) 'Blue Gray'. These are a question of taste, I would reccomend the named ones, but we need to collect 'your' favorites here. Keep in mind to keep this number low (probably 4-5) and do not forget that the color you like were not choosen freely, but *because* you were limited to the offered ones, so it might be a compromize you are just used to.

Quite a mix. I compared it with Syphony's palette and there completely new colors are used. One interesting aspect are the white/gray/black ones: In our current palette these are divided between (a) (black, white and two grays) and (b) (the rest, gray 80% .. gray 20%). This is of course because the first four grays are technically in the old VGA palette. I more than once were mad about finding the correct gray in our palette, because of the bad positioning in it. Symphony has all needed grays in one draw as first entries in the palette (what I would expect nowadays).

Thus, I propose:
- Basically use Symphony palette
- Preserve some nice olors from our old palette, but not more than 4 or 5. The default color needs to be preserved (blue 9). I propose to only keep 'Blue Gray', but let's see which other colors are favorites here...
- Add the Pale colors
- Add the Chart colors

The result is 'hand crafted' in the docs linked above, please have a look

Another aspect of the new palette is that it copies from Symphony the use of '12-er groups' which look nice when you order the palette in a way that 12 colors are in a row, please see the picture. This could be a part of our sidepane in progress.

One more hint: This palette offers defaults to the user after AOO is newly installed, not more (and not less). It can be changed by the user anytime. Colors can be added/deleted by the user. This has no technical limitations in the sense that changing the palette may influence existing ODF's or other written files. E.g. the chart colors are there to not have to look for them, but can be added/removed by the user anytime (they are *not* the source for the chart to use them).

Lot of text for some colors. So, tell me what you think about this proposed new palette!
Comment 1 Armin Le Grand 2012-12-20 12:37:54 UTC
ALG: Taking over, setting to enhancement...
Comment 2 Armin Le Grand 2012-12-21 13:58:14 UTC
ALG: Trying implementation...
Comment 3 SVN Robot 2013-01-02 09:55:59 UTC
"alg" committed SVN 0 into trunk:
#121520# changed basic color palette as described in the task and discussed o...
Comment 4 Armin Le Grand 2013-01-03 13:07:25 UTC
ALG: Okay, done for now. May need reopening when suggestions come in.
Comment 5 Ariel Constenla-Haile 2013-03-21 06:39:38 UTC
The default color for drawings is unnamed in the color listbox.
This seems to be because "Blue 9" appears twice with different value:

http://svn.apache.org/viewvc/openoffice/trunk/main/extras/source/palettes/standard.soc?revision=1427722&view=markup#l130
http://svn.apache.org/viewvc/openoffice/trunk/main/extras/source/palettes/standard.soc?revision=1427722&view=markup#l151
Comment 6 Armin Le Grand 2013-03-26 13:53:50 UTC
ALG: Good catch, needs some action
Comment 7 Armin Le Grand 2013-04-08 12:50:10 UTC
ALG: Indeed, a second 'Blue 9' comes from the old palette, changing to 'Blue nine' to solve the conflict.
Comment 8 SVN Robot 2013-04-08 12:51:44 UTC
"alg" committed SVN 0 into trunk:
i121520 canged a 2nd 'Blue 9' entry to 'Blue nine' to solve the conflict
Comment 9 Armin Le Grand 2013-04-08 12:52:07 UTC
ALG: Comitted as 0. Thanks Ariel!
Comment 10 Ariel Constenla-Haile 2013-05-15 07:33:33 UTC
(In reply to comment #8)
> "alg" committed SVN 0 into trunk:
> i121520 canged a 2nd 'Blue 9' entry to 'Blue nine' to solve the conflict

"Blue nine" will require a new resource string.
"Blue 11" can reuse "Blue", see bug 122317 for missing resource strings.
Comment 11 hdu@apache.org 2013-07-11 09:30:53 UTC
Verified and updated target to release that will contain the enhancement.